<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE generatorConfiguration
        PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN"
        "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd">

<generatorConfiguration>
    <classPathEntry
            location="/Users/liyl/myspace/tools/mybatis-generator-core-1.3.7/lib/drivers/mysql-connector-java-5.1.14.jar"/>
    <context id="MySQLTables" targetRuntime="MyBatis3">

        <!-- 配置开始 -->
        <jdbcConnection driverClass="com.mysql.jdbc.Driver"
                        connectionURL="jdbc:mysql://advich-dev-env.c0stwhsmuvxv.rds.cn-northwest-1.amazonaws.com.cn:39339/gp_b2b2c?useSSL=false;"
                        userId="gp_b2b2c_dev"
                        password="mQSjVHeJv3DEGv5zSZ2eeWZHDSe2Tq">
        </jdbcConnection>

        <javaTypeResolver>
            <property name="forceBigDecimals" value="false"/>
        </javaTypeResolver>

        <javaModelGenerator targetPackage="com.slodon.b2b2c.system" targetProject="src/main/java/">
            <property name="enableSubPackages" value="true"/>
            <property name="trimStrings" value="true"/>
        </javaModelGenerator>

        <sqlMapGenerator targetPackage="mapper" targetProject="src/main/resources/">
            <property name="enableSubPackages" value="true"/>
        </sqlMapGenerator>

        <javaClientGenerator type="XMLMAPPER" targetPackage="com.slodon.b2b2c.system.pojo"
                             targetProject="src/main/java/">
            <property name="enableSubPackages" value="true"/>
        </javaClientGenerator>
        <!-- 配置结束 -->

        <table tableName="sys_seo" domainObjectName="SysSeo">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>
        <!-- 数据表与Mapper映射关系配置结束 -->

    </context>
</generatorConfiguration>
